Bug 1564733 - mosquitto fails to start
Summary: mosquitto fails to start
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mosquitto
Version: 27
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Mattes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-07 08:26 UTC by redhat
Modified: 2018-05-20 19:32 UTC (History)
3 users (show)

Fixed In Version: mosquitto-1.4.15-2.fc28 mosquitto-1.4.15-2.fc26 mosquitto-1.4.15-2.fc27 mosquitto-1.4.15-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-14 17:54:06 UTC
Type: Bug


Attachments (Terms of Use)

Description redhat 2018-04-07 08:26:32 UTC
Description of problem:
mosquitto fails to start when configurated to bind to a specific address/interface. For me it looks like a missing depency from mosquitto.service to network.service. The ethernet interface appears later, thus mosquitto daemon fails to bind to that interface.

Version-Release number of selected component (if applicable):
mosquitto-1.4.15-1.fc27.x86_64

How reproducible:
Always if config option bind_address is used.

Steps to Reproduce:
1. set config option bind_address to an interface address
2. reboot system
3. systectl status mosquitto.service

Actual results:
 ● mosquitto.service - Mosquitto MQTT v3.1/v3.1.1 Broker
    Loaded: loaded (/usr/lib/systemd/system/mosquitto.service; enabled; vendor preset: disabled)
    Active: failed (Result: exit-code) since Fri 2018-04-06 12:41:38 CEST; 21h ago
      Docs: man:mosquitto.conf(5)
            man:mosquitto(8)
    Process: 1179 ExecStart=/usr/sbin/mosquitto -c /etc/mosquitto/mosquitto.conf (code=exited, status=1/FAILURE)
  Main PID: 1179 (code=exited, status=1/FAILURE)

 systemd[1]: Started Mosquitto MQTT v3.1/v3.1.1 Broker.
 mosquitto[1179]: 1523011298: mosquitto version 1.4.15 (build date 2018-03-17 09:32:26+0000) starting
 mosquitto[1179]: 1523011298: Config loaded from /etc/mosquitto/mosquitto.conf.
 mosquitto[1179]: 1523011298: Opening ipv4 listen socket on port 1883.
 mosquitto[1179]: 1523011298: Error: Cannot assign requested address

Expected results:
mosquitto binds to specified address.


Additional info:

Comment 1 Fedora Update System 2018-05-05 12:29:56 UTC
mosquitto-1.4.15-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-83f7acd481

Comment 2 Fedora Update System 2018-05-05 12:37:50 UTC
mosquitto-1.4.15-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f994d584e5

Comment 3 Fedora Update System 2018-05-05 12:51:05 UTC
mosquitto-1.4.15-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6e823f8f11

Comment 4 Fedora Update System 2018-05-05 12:58:29 UTC
mosquitto-1.4.15-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-36bc13caa1

Comment 5 Fedora Update System 2018-05-05 23:38:56 UTC
mosquitto-1.4.15-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-36bc13caa1

Comment 6 Fedora Update System 2018-05-06 05:34:52 UTC
mosquitto-1.4.15-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6e823f8f11

Comment 7 Fedora Update System 2018-05-06 10:08:38 UTC
mosquitto-1.4.15-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-83f7acd481

Comment 8 Fedora Update System 2018-05-06 21:53:57 UTC
mosquitto-1.4.15-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f994d584e5

Comment 9 Fedora Update System 2018-05-14 17:54:06 UTC
mosquitto-1.4.15-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-05-14 18:01:50 UTC
mosquitto-1.4.15-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-05-14 18:35:07 UTC
mosquitto-1.4.15-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-05-20 19:32:10 UTC
mosquitto-1.4.15-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.